#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include "nrf.h"

#include "nrf_gpio.h"
#include "nrf_gpiote.h"

#include "app_uart.h"
#include "app_error.h"
#include "nrf_delay.h"

#define      RX_PIN_NUMBER	0
#define      TX_PIN_NUMBER	2
#define      RTS_PIN_NUMBER	9
#define      CTS_PIN_NUMBER	11

#define UART_TX_BUF_SIZE 256                       /**< UART TX buffer size. */
#define UART_RX_BUF_SIZE 256  

void GPIO_Init(void)
{
	nrf_gpio_cfg_output(1);
}


void uart_error_handle(app_uart_evt_t * p_event) {}


void UART_Init(void)
{
	uint32_t err_code;
	const app_uart_comm_params_t comm_params =
    {
        RX_PIN_NUMBER,
        TX_PIN_NUMBER,
        RTS_PIN_NUMBER,
        CTS_PIN_NUMBER,
        APP_UART_FLOW_CONTROL_DISABLED,
        false,
        UART_BAUDRATE_BAUDRATE_Baud115200
    };
		 APP_UART_FIFO_INIT(&comm_params,
                         UART_RX_BUF_SIZE,
                         UART_TX_BUF_SIZE,
                         uart_error_handle,
                         APP_IRQ_PRIORITY_LOW,
                         err_code);
    APP_ERROR_CHECK(err_code);
}

int main()
{
	NRF_CLOCK->EVENTS_HFCLKSTARTED  = 0;
	NRF_CLOCK->TASKS_HFCLKSTART     = 1;
	while (NRF_CLOCK->EVENTS_HFCLKSTARTED == 0) 
	{
	}
	GPIO_Init();
	UART_Init();
	
	while(1)
	{
		nrf_gpio_pin_set(1);
		nrf_delay_us(1500);
		nrf_gpio_pin_clear(1);
		nrf_delay_us(15000);
		
		
	}

}

